Package io.vertx.config.vault.client

## Class TokenRequest

- java.lang.Object
- - io.vertx.config.vault.client.TokenRequest

-     public class TokenRequest
      extends Object

  The token request structure.
  Author:
    Clement Escoffier

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TokenRequest()` |
    `TokenRequest​(JsonObject json)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getDisplayName()` |
    `String` | `getId()` |
    `Map<String,​String>` | `getMeta()` |
    `long` | `getNumUses()` |
    `List<String>` | `getPolicies()` |
    `String` | `getRole()` |
    `String` | `getTtl()` |
    `boolean` | `isNoDefaultPolicy()` |
    `boolean` | `isNoParent()` |
    `TokenRequest` | `setDisplayName​(String displayName)` |
    `TokenRequest` | `setId​(String id)` |
    `TokenRequest` | `setMeta​(Map<String,​String> meta)` |
    `TokenRequest` | `setNoDefaultPolicy​(boolean noDefaultPolicy)` |
    `TokenRequest` | `setNoParent​(boolean noParent)` |
    `TokenRequest` | `setNumUses​(long numUses)` |
    `TokenRequest` | `setPolicies​(List<String> policies)` |
    `TokenRequest` | `setRole​(String role)` |
    `TokenRequest` | `setTTL​(String ttl)` |
    `JsonObject` | `toPayload()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TokenRequest

          public TokenRequest()

    - #### TokenRequest

          public TokenRequest​(JsonObject json)

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public TokenRequest setId​(String id)

    - #### getPolicies

          public List<String> getPolicies()

    - #### setPolicies

          public TokenRequest setPolicies​(List<String> policies)

    - #### getMeta

          public Map<String,​String> getMeta()

    - #### setMeta

          public TokenRequest setMeta​(Map<String,​String> meta)

    - #### isNoParent

          public boolean isNoParent()

    - #### setNoParent

          public TokenRequest setNoParent​(boolean noParent)

    - #### isNoDefaultPolicy

          public boolean isNoDefaultPolicy()

    - #### setNoDefaultPolicy

          public TokenRequest setNoDefaultPolicy​(boolean noDefaultPolicy)

    - #### getTtl

          public String getTtl()

    - #### setTTL

          public TokenRequest setTTL​(String ttl)

    - #### getDisplayName

          public String getDisplayName()

    - #### setDisplayName

          public TokenRequest setDisplayName​(String displayName)

    - #### getNumUses

          public long getNumUses()

    - #### setNumUses

          public TokenRequest setNumUses​(long numUses)

    - #### getRole

          public String getRole()

    - #### setRole

          public TokenRequest setRole​(String role)

    - #### toPayload

          public JsonObject toPayload()